Index: trunk/kernel/mm/page.h
===================================================================
--- trunk/kernel/mm/page.h	(revision 18)
+++ trunk/kernel/mm/page.h	(revision 22)
@@ -88,5 +88,5 @@
 
 /*************************************************************************************
- * This function set one or several flags in page descriptor flags.
+ * This function sets one or several flags in page descriptor flags.
  * @ page    : pointer to page descriptor.
  * @ value   : all non zero bits in value will be set.
@@ -96,5 +96,5 @@
 
 /*************************************************************************************
- * This function reset one or several flags in page descriptor flags.
+ * This function clears one or several flags in page descriptor flags.
  * @ page    : pointer to page descriptor.
  * @ value   : all non zero bits in value will be cleared.
@@ -104,5 +104,5 @@
 
 /*************************************************************************************
- * This function test the value of one or several flags in page descriptor flags.
+ * This function tests the value of one or several flags in page descriptor flags.
  * @ page    : pointer to page descriptor.
  * @ value   : all non zero bits will be tested.
@@ -114,11 +114,11 @@
 /*************************************************************************************
  * This function synchronizes (i.e. update the disk) all dirty pages in a cluster.
- * It scan the PPM dirty list, that should be empty when this operation is completed.
+ * It scans the PPM dirty list, that should be empty when this operation is completed.
  ************************************************************************************/
 void sync_all_pages();
 
 /*************************************************************************************
- * This function set the PG_DIRTY flag in the page descriptor,
- * and register the page in the dirty list in PPM.
+ * This function sets the PG_DIRTY flag in the page descriptor,
+ * and registers the page in the dirty list in PPM.
  * @ page     : pointer on page descriptor.
  * @ returns true if page was not dirty / returns false if page was dirty
@@ -127,6 +127,6 @@
 
 /*************************************************************************************
- * This function reset the PG_DIRTY flag in the page descriptor,
- * and remove the page from the dirty list in PPM.
+ * This function resets the PG_DIRTY flag in the page descriptor,
+ * and removes the page from the dirty list in PPM.
  * @ page     : pointer on page descriptor.
  * @ returns true if page was dirty / returns false if page was not dirty
@@ -135,5 +135,5 @@
 
 /*************************************************************************************
- * This function makes a local copy of the content of a src page  to a dst page.
+ * This function makes a local copy of the content of a src page to a dst page.
  * @ dst      : pointer on destination page descriptor.
  * @ src      : pointer on source page descriptor.
@@ -143,5 +143,5 @@
 
 /*************************************************************************************
- * This function reset to 0 all bytes in a given page.
+ * This function resets to 0 all bytes in a given page.
  * @ page     : pointer on page descriptor.
  ************************************************************************************/
@@ -157,6 +157,6 @@
 
 /*************************************************************************************
- * This blocking function reset the PG_LOCKED flag on the page, if there is no
- * other waiting thread. IF there is waiting thread(s), it activates the first
+ * This blocking function resets the PG_LOCKED flag on the page, if there is no
+ * other waiting thread. If there is waiting thread(s), it activates the first
  * waiting thread without modifying the PG_LOCKED flag.
  * @ page     : pointer on page descriptor.
@@ -165,5 +165,5 @@
 
 /*************************************************************************************
- * This blocking function atomically increment the page refcount.
+ * This blocking function atomically increments the page refcount.
  * @ page     : pointer on page descriptor.
  ************************************************************************************/
@@ -171,5 +171,5 @@
 
 /*************************************************************************************
- * This blocking function atomically decrement the page refcount.
+ * This blocking function atomically decrements the page refcount.
  * @ page     : pointer on page descriptor.
  ************************************************************************************/
